<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Mutex Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_mutex.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_mutex-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Mutex Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a mutex.  
 <a href="class_mutex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_mutex_8h_source.html">Mutex.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for Mutex:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_mutex.png" usemap="#Mutex_map" alt=""/>
  <map id="Mutex_map" name="Mutex_map">
<area href="class_object.html" title="Base class for all Framework&#39;s classes. " alt="Object" shape="rect" coords="123,0,236,24"/>
<area href="class_condition_variable.html" title="Class defining a condition variable. " alt="ConditionVariable" shape="rect" coords="0,112,113,136"/>
<area href="class_i2c_port.html" title="Classe intégrant un port i2c temps reel. " alt="I2cPort" shape="rect" coords="123,112,236,136"/>
<area href="classio__data.html" title="Abstract class for data types. " alt="io_data" shape="rect" coords="246,112,359,136"/>
<area href="classcvimage.html" title="Class defining an image of kind IplImage. " alt="cvimage" shape="rect" coords="0,168,113,192"/>
<area href="classcvmatrix.html" title="Class defining a matrix of kind CvMat. " alt="cvmatrix" shape="rect" coords="123,168,236,192"/>
<area href="class_geo_coordinate.html" title="Class defining a point by its lla coordinates. " alt="GeoCoordinate" shape="rect" coords="246,168,359,192"/>
<area href="class_imu_data.html" title="Class defining IMU datas. " alt="ImuData" shape="rect" coords="369,168,482,192"/>
<area href="class_optical_flow_data.html" title="Classe pour les données du flux optique. " alt="OpticalFlowData" shape="rect" coords="492,168,605,192"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9e4b1eb4f3d02fe0b3d7c66ab094db42"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#a9e4b1eb4f3d02fe0b3d7c66ab094db42">Mutex</a> (<a class="el" href="class_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:a9e4b1eb4f3d02fe0b3d7c66ab094db42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9e4b1eb4f3d02fe0b3d7c66ab094db42">More...</a><br/></td></tr>
<tr class="separator:a9e4b1eb4f3d02fe0b3d7c66ab094db42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9e9182407f5f74892318607888e9be4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#ac9e9182407f5f74892318607888e9be4">~Mutex</a> ()</td></tr>
<tr class="memdesc:ac9e9182407f5f74892318607888e9be4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac9e9182407f5f74892318607888e9be4">More...</a><br/></td></tr>
<tr class="separator:ac9e9182407f5f74892318607888e9be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add1b327c351cdac82746a925f7d92878"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#add1b327c351cdac82746a925f7d92878">GetMutex</a> (void)</td></tr>
<tr class="memdesc:add1b327c351cdac82746a925f7d92878"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#add1b327c351cdac82746a925f7d92878">More...</a><br/></td></tr>
<tr class="separator:add1b327c351cdac82746a925f7d92878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af03748e67dd3585b65efb8f69b64bf6e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#af03748e67dd3585b65efb8f69b64bf6e">ReleaseMutex</a> (void)</td></tr>
<tr class="memdesc:af03748e67dd3585b65efb8f69b64bf6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#af03748e67dd3585b65efb8f69b64bf6e">More...</a><br/></td></tr>
<tr class="separator:af03748e67dd3585b65efb8f69b64bf6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a> (<a class="el" href="class_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a588cf9896a6c1f62733bc7faf013941d">More...</a><br/></td></tr>
<tr class="separator:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aa3e791419d84c4c346ef9499513b8e00">~Object</a> ()</td></tr>
<tr class="memdesc:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa3e791419d84c4c346ef9499513b8e00">More...</a><br/></td></tr>
<tr class="separator:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#afaa39b1021f3a731cda644164b2be3ba">ObjectName</a> (void)</td></tr>
<tr class="memdesc:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#afaa39b1021f3a731cda644164b2be3ba">More...</a><br/></td></tr>
<tr class="separator:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a3e34b6351fad490250b5c0619ea22e17">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a3e34b6351fad490250b5c0619ea22e17">More...</a><br/></td></tr>
<tr class="separator:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">Parent</a> (void)</td></tr>
<tr class="memdesc:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">More...</a><br/></td></tr>
<tr class="separator:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aceddcf29a2c656eaaa77fbb99f344425">RootParent</a> (void)</td></tr>
<tr class="memdesc:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root parent.  <a href="#aceddcf29a2c656eaaa77fbb99f344425">More...</a><br/></td></tr>
<tr class="separator:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_framework_manager.html">FrameworkManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a4d3f28e95db7f6d7d9818ba1316024c9">RootFrameworkManager</a> (void)</td></tr>
<tr class="memdesc:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root <a class="el" href="class_framework_manager.html" title="Main class of the Framework library. ">FrameworkManager</a>.  <a href="#a4d3f28e95db7f6d7d9818ba1316024c9">More...</a><br/></td></tr>
<tr class="separator:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a0784589b4cd7109d5a6ab88bbc9fdd20">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a0784589b4cd7109d5a6ab88bbc9fdd20">More...</a><br/></td></tr>
<tr class="separator:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a47326acf6f5b86e667e90f7c36b5222d">Childs</a> (void)</td></tr>
<tr class="memdesc:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a47326acf6f5b86e667e90f7c36b5222d">More...</a><br/></td></tr>
<tr class="separator:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a119852e43f936ff51605c4e994aa3883">More...</a><br/></td></tr>
<tr class="separator:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a28958c66842aafb754b3f851c6bbc867">More...</a><br/></td></tr>
<tr class="separator:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a6a9e4e23a9d13a07552bc37f8cc004aa">More...</a><br/></td></tr>
<tr class="separator:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ad46e831ac641c6aa827a3876c9f47086">GetTime</a> (void)</td></tr>
<tr class="memdesc:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time.  <a href="#ad46e831ac641c6aa827a3876c9f47086">More...</a><br/></td></tr>
<tr class="separator:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a8554cf8ecd619d2f5b1a3eed36413cb6">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted print.  <a href="#a8554cf8ecd619d2f5b1a3eed36413cb6">More...</a><br/></td></tr>
<tr class="separator:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a mutex. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9e4b1eb4f3d02fe0b3d7c66ab094db42"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mutex::Mutex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a mutex.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac9e9182407f5f74892318607888e9be4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mutex::~Mutex </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="add1b327c351cdac82746a925f7d92878"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Mutex::GetMutex </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GetMutex. </p>
<p>Lock the mutex. </p>

</div>
</div>
<a class="anchor" id="af03748e67dd3585b65efb8f69b64bf6e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Mutex::ReleaseMutex </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ReleaseMutex. </p>
<p>Unlock the mutex. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_mutex.html">Mutex</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:08 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
